// tray icon code adapted from code by wharfinger 8/05/2001 @ http://everything2.com/title/Win32+system+tray+icon

#include <windows.h>
#include <windows.h>
#include "fxc.h"
#include "fxcUI.h"
#include "fxcHook.h"
#include "fxcMessage.h"
#include "resources.h"

int WINAPI WinMain(HINSTANCE hinstance, HINSTANCE prev, LPSTR cmdline, int show)
{
   HWND hwnd = FindWindow (CUBASE_MAIN_WINDOW, NULL);
   if (hwnd != NULL)
   {
      if (!setCubaseWindowHook(hwnd))
      {
         errorMessage("Unable to set Cubase hook.");
         return EXIT_FAILURE;
      }
   }
   else
   {
      message("Cubase not found. Waiting for Cubase to launch.");
   }
   
   if (!setCubaseLaunchWatcherHook())
   {
      errorMessage("Unable to set application launch hook. Won't be able to connect to new Cubase instances.");
   }

   startUI(hinstance);

   return EXIT_SUCCESS;
}
